check:coverity:
  image: $CI_REGISTRY_IMAGE/centos7:latest
  extends: .check
  only:
    - coverity
    - schedules
  variables:
    SCHEDULE_TAG: "coverity"
  before_script:
    - mkdir build
    - cd build
    - cmake ${CMAKE_ARGS} ..
  script:
    - wget --quiet https://scan.coverity.com/download/linux64 --post-data "token=$COVERITY_SCAN_TOKEN&project=$COVERITY_SCAN_PROJECT_NAME" -O /tmp/cov-analysis-linux64.tgz
    - tar xfz /tmp/cov-analysis-linux64.tgz
    - cov-analysis-linux64-*/bin/cov-build --dir cov-int make
    - tar cfz cov-int.tar.gz cov-int
    - curl --form token=$COVERITY_SCAN_TOKEN --form email=$GITLAB_USER_EMAIL --form file=@cov-int.tar.gz --form version="`git describe --tags`" --form description="`git describe --tags` / $CI_COMMIT_TITLE / $CI_COMMIT_REF_NAME:$CI_PIPELINE_ID " https://scan.coverity.com/builds?project=$COVERITY_SCAN_PROJECT_NAME
